FAC(3)

SYNOPSIS
FUNCTION FAC (N)

NAME
fac - Compute the factorial function.

LIBRARY
SLATEC (FNLIB)

CATEGORY
C1

TYPE
SINGLE PRECISION (FAC-S, DFAC-D)

KEYWORDS
FACTORIAL, FNLIB, SPECIAL FUNCTIONS

AUTHOR
Fullerton, W., (LANL)

DESCRIPTION
FAC(N) evaluates the factorial function of N. FAC is single precision. N must be an integer between 0 and 25 inclusive.

REFERENCES
(NONE)

ROUTINES CALLED
GAMLIM, R9LGMC, XERMSG

REVISION HISTORY (YYMMDD)
770601 DATE WRITTEN
890531 Changed all specific intrinsics to generic. (WRB)
890531 REVISION DATE from Version 3.2
891214 Prologue converted to Version 4.0 format. (BAB)
900315 CALLs to XERROR changed to CALLs to XERMSG. (THJ)